<?xml version="1.0" encoding="iso-8859-1"?>
<!-- Addenda de Vallen basada en AMECE 7.1  :: By Daniel Herrera Tello.    -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" encoding="iso-8859-1"/>
	<xsl:template match="/">
	<xsl:element name="requestForPayment">
		<xsl:attribute name="type">SimpleInvoiceType</xsl:attribute>
		<xsl:attribute name="contentVersion">1.3.1</xsl:attribute>
		<xsl:attribute name="documentStructureVersion">VALLEN7.1</xsl:attribute>
		<xsl:choose>
			<xsl:when test="Datos/Documento/@Dato3 !=''">
				<xsl:attribute name="documentStatus">REEMPLAZA</xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="documentStatus">ORIGINAL</xsl:attribute>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:attribute name="DeliveryDate"><xsl:value-of select="substring(Datos/CFD/@Fecha,1,10)"/></xsl:attribute>
		<xsl:element name="orderIdentification">
			<xsl:for-each select="Datos/Documento/OrdenesCompra/OrdenCompra">
				<xsl:element name="referenceIdentification">
					<xsl:attribute name="type">ON</xsl:attribute>
					<xsl:value-of select="@No"/>
				</xsl:element>
			</xsl:for-each>
		</xsl:element>
		<xsl:element name="currency">
			<xsl:attribute name="currencyISOCode">
				<xsl:variable name="tpomon" select="Datos/Documento/@TipoMoneda"/>
				<xsl:choose>
					<xsl:when test="$tpomon = 0">
						<xsl:text>MXN</xsl:text>
					</xsl:when>
					<xsl:when test="$tpomon = 1">
						<xsl:text>MXN</xsl:text>
					</xsl:when>
					<xsl:when test="$tpomon = 2">
						<xsl:text>USD</xsl:text>
					</xsl:when>
					<xsl:when test="$tpomon = 3">
						<xsl:text>EUR</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</xsl:element>
	</xsl:element>
	</xsl:template>
</xsl:stylesheet>